Package com.mckoi.database

## Interface DatabaseConnection.CallBack

Enclosing class:
  DatabaseConnection

    public static interface DatabaseConnection.CallBack

Call back interface for events that occur within the connection instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `triggerNotify​(java.lang.String trigger_name, int trigger_event, java.lang.String trigger_source, int fire_count)` Notifies the callee that a trigger event was fired that this user is listening for.

### Method Detail

#### triggerNotify

    void triggerNotify​(java.lang.String trigger_name,
                       int trigger_event,
                       java.lang.String trigger_source,
                       int fire_count)

Notifies the callee that a trigger event was fired that this user is listening for.